<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.ldt.mall.mapper.MallMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="mallResultMap" type="org.springblade.ldt.mall.entity.Mall">
        <id column="id" property="id"/>
        <result column="mall_name" property="mallName"/>
        <result column="location_code" property="locationCode"/>
        <result column="location" property="location"/>
        <result column="person_name" property="personName"/>
        <result column="person_tel" property="personTel"/>
        <result column="logo" property="logo"/>
        <result column="member_num" property="memberNum"/>
        <result column="balance" property="balance"/>
        <result column="point_rate" property="pointRate"/>
        <result column="bill_delay" property="billDelay"/>
        <result column="intro" property="intro"/>
        <result column="point" property="point"/>
        <result column="use_member" property="useMember"/>
        <result column="send_point_unnit" property="sendPointUnnit"/>
    </resultMap>


    <select id="selectMallPage" resultMap="mallResultMap">
        select * from ldt_mall where is_deleted = 0
    </select>

</mapper>
